package bus.service;

import bus.model.dto.BCourseStationDto;
import bus.model.dto.page.BCourseStationPageDto;
import bus.model.vo.BCourseStationVo;
import bus.model.po.BCourseStationPo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-02 19:54:59
 **/
public interface BCourseStationService extends IService<BCourseStationPo> {


    /**
     * 详情
     * @param id
     * @return
     */
    BCourseStationPo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BCourseStationDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BCourseStationVo> list(BCourseStationPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BCourseStationDto dto);
    List<BCourseStationPo> getListByCourse(String courseId);
    /**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);

    /**
     * 根据线路id删除
     */
    void deleteByCourseId(String courseId);
}
